"use strict";
layui.extend({
    common    :   'js/common'
}).use(['jquery','layer','common','upload','form'],function () {
    //  弹窗插件
    var layer = layui.layer;
    //  Jquery插件
    var $ = layui.jquery;


    //  页面数据
    var pageData = {
        //  可操作的机构列表
        'orgList'   :   undefined,
        //  文件上传弹出层下标
        'uploading' :   undefined
    };

    //  页面节点
    var $node = {
        //  头像字段
        'portraitInput'     :   $('input[name="userPortraitUri"]'),
        //  头像预览
        'portraitPreviewImg':   $('#file_preview'),
        //  机构下拉框
        'orgSelect'         :   $('select[name="orgId"]'),
        //  确认密码字段
        'confirmPwdInput'   :   $('input[name="confirmLoginPwd"]'),
        //  取消按钮
        'resetBtn'      :   $('button[type="reset"]')
    };

    //  拖拽上传
    layui.upload.render({
        elem: '#file_upload'
        //  上传接口
        ,url: '/common/file/upload'
        ,exts: 'jpg|png|jpeg'
        //  自动上传
        ,auto: true
        //  文件提交上传前的回调
        ,before :   function(obj){
            //  图片预览
            obj.preview(function(index, file, result){
                $node.portraitPreviewImg.attr('src', result);
            });
            //  上传提示
            pageData.uploading = layer.msg('文件上传中', {
                icon: 16,
                shade: 0.4,
                time:false
            });
        }
        ,done: function(result){
            //  关闭上传提示
            layer.close(pageData.uploading);
            if (result.code === '200'){
                //  上传成功
                $node.portraitInput.val(result.data['fullPath']);
            }else {
                this.error();
            }
        }
        ,error  :   function(){
            layer.msg('头像上传失败');
            $node.portraitPreviewImg.removeAttr('src');
            $node.portraitInput.val('');
        }
    });

    //  表单校验
    layui.form.verify({
        //  密码校验
        password   : [
            /^[\S]{6,12}$/
            ,'密码必须6到12位,且不能出现空格'
        ],
        //  确认密码
        confirmPwd  :   function(value){
            var password1 = $('#password1').val();
            if (password1 !== value){
                return '与前面输入的密码不一致';
            }
        }
    });

    //  取消按钮
    $node.resetBtn.on('click',function(){
        //  关闭当前页面弹窗
        var index = parent.layer.getFrameIndex(window.name);
        parent.layer.close(index);
    });

    //  提交表单
    layui.form.on("submit(entity_insert_filter)",function(data){
        $.ajax({
            url     :   '/permissions/account/setup',
            data    :   data.field,
            type    :   'POST',
            success :   function(){
                $node.resetBtn.click();
                parent.location.reload();
            }
        });
    });

});
